enablePlugins(JavaAppPackaging)

name := "xfm-custom"

executableScriptName := "ingester"

organization := "com.example"

version := "1.0.0"

rpmRelease := "1"

scalaVersion := "2.11.7"

scalacOptions ++= Seq("-unchecked", "-deprecation", "-feature", "-encoding", "utf8")

rpmVendor := "Example Organization"

rpmLicense := Some("Restricted")

rpmRequirements := Seq("java-1.8.0-openjdk-headless")

packageSummary in Linux := "XFM Custom Configuration"

packageDescription in Linux := "XFM Custom Configuration"

defaultLinuxInstallLocation := "/opt/mgrid"

rpmBrpJavaRepackJars := false

unmanagedBase := file("/opt/mgrid/xfm3-ingester/lib")

