# Install and configure XFM custom settings
class xfm_custom {
  require xfm_common
  include xfm_common::config

  include xfm_custom::ingester
  include xfm_custom::transformer
  include xfm_loader
  include xfm_gateway
  include xfm_broker
  include xfm_lake

  package { 'xfm-custom':
    ensure => latest,
  }
}
