# Install and configure XFM Custom Transformer
class xfm_custom::transformer {
  require xfm_common
  include xfm_common::config

  $custom_pkg = '/opt/mgrid/xfm-custom/msg-custom-*.tar.gz'

  class { 'xfm_transformer':
    subscribe => Xfm_common::Pyenv_pip[$custom_pkg],
  }

  class { 'xfm_transformer::json':
    subscribe => Xfm_common::Pyenv_pip[$custom_pkg],
  }

  xfm_common::pyenv_pip { $custom_pkg:
    subscribe => Package['xfm-custom'],
  }

}
