rimname = {
'PatientUpdate' : 'ControlAct',
'RecordTarget' : 'Participation',
'Patient' : 'Patient',
'Person' : 'Person',
'PolicyHolder' : 'Role',
'Insurer' : 'Organization',
'CareGiver' : 'Role',
'CareProvider' : 'Person',
'Organization' : 'Organization',
}
parent = {
}
abstract = [
]
targetconn = {
'PatientUpdate' : {},
'RecordTarget' : {'role' : ['patient', ],
},
'Patient' : {'player' : ['patientPerson', ],
'scoper' : ['providerOrganization', ],
},
'Person' : {},
'PolicyHolder' : {'scoper' : ['underwritingInsurer', ],
},
'Insurer' : {},
'CareGiver' : {'scoper' : ['careGiverScoper', ],
},
'CareProvider' : {},
'Organization' : {},
}
sourceconn = {
'PatientUpdate' : {'recordTarget' : [('RecordTarget', 'act')], },
'RecordTarget' : {'patient' : [('Patient', '_id')], },
'Patient' : {'patientPerson' : [('Person', '_id')], 'providerOrganization' : [('Organization', '_id')], },
'Person' : {'asPolicyHolder' : [('PolicyHolder', 'player')], 'asCareGiver' : [('CareGiver', 'player')], },
'PolicyHolder' : {'underwritingInsurer' : [('Insurer', '_id')], },
'Insurer' : {},
'CareGiver' : {'careGiverScoper' : [('CareProvider', '_id')], },
'CareProvider' : {},
'Organization' : {},
}
att = {
'PatientUpdate' : ['classCode', 'moodCode', 'code', ],
'RecordTarget' : ['typeCode', ],
'Patient' : ['classCode', 'id', 'effectiveTime', ],
'Person' : ['classCode', 'determinerCode', 'id', 'name', 'telecom', 'administrativeGenderCode', 'birthTime', 'deceasedInd', 'deceasedTime', 'addr', ],
'PolicyHolder' : ['classCode', 'id', 'effectiveTime', ],
'Insurer' : ['classCode', 'determinerCode', 'id', ],
'CareGiver' : ['classCode', 'id', 'code', 'effectiveTime', ],
'CareProvider' : ['classCode', 'determinerCode', 'id', ],
'Organization' : ['classCode', 'determinerCode', 'id', ],
}
fixedatt = {
'PatientUpdate' : {'classCode' : 'ACTN',
'moodCode' : 'EVN',
},
'RecordTarget' : {'typeCode' : 'RCT',
},
'Patient' : {'classCode' : 'PAT',
},
'Person' : {'classCode' : 'PSN',
'determinerCode' : 'INSTANCE',
},
'PolicyHolder' : {'classCode' : 'POLHOLD',
},
'Insurer' : {'classCode' : 'ORG',
'determinerCode' : 'INSTANCE',
},
'CareGiver' : {'classCode' : 'CAREGIVER',
},
'CareProvider' : {'classCode' : 'PSN',
'determinerCode' : 'INSTANCE',
},
'Organization' : {'classCode' : 'ORG',
'determinerCode' : 'INSTANCE',
},
}
defaultatt = {
}
