# Install and configure XFM Custom Ingester
class xfm_custom::ingester {
  require xfm_common
  include xfm_common::config

  $config = hiera('ingester')

  xfm_common::run_config { 'custom-ingester':
    subscribe => Package['xfm-custom'],
    command   => "/opt/mgrid/xfm-custom/bin/ingester -Dingester.hostname=${::hostname}",
    numprocs  => $config['procspernode'],
    user      => $xfm_common::xfm_user,
  }

}
